# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\LanguageLabel:
  - name: Variants
    translations:
      - {code: en, label: Variants}
  - name: 'Product variants'
    translations:
      - {code: en, label: 'Product variants'}
  - name: 'The product does not have attributes with multiple options'
    translations:
      - {code: en, label: 'The product does not have attributes with multiple options'}
  - name: 'Choose the optional attributes that your variants will be based on'
    translations:
      - {code: en, label: 'Choose the optional attributes that your variants will be based on'}
  - name: '{{count}} variants'
    translations:
      - {code: en, label: '{{count}} variants'}
  - name: 'No variants added, and the product is not available for sale yet. Create at least one variant.'
    translations:
      - {code: en, label: 'No variants added, and the product is not available for sale yet. Create at least one variant.'}
  - name: 'Product variants are based on {{variants}}'
    translations:
      - {code: en, label: 'Product variants are based on {{variants}}'}
  - name: '{{count}} variants are based on {{variants}}'
    translations:
      - {code: en, label: '{{count}} variants are based on {{variants}}'}
  - name: '{{count}} options'
    translations:
      - {code: en, label: '{{count}} options'}
  - name: 'This item is out of stock'
    translations:
      - {code: en, label: 'This item is out of stock'}
  - name: 'This item is not available'
    translations:
      - {code: en, label: 'This item is not available'}
  - name: 'Default SKU'
    translations:
      - {code: en, label: 'Default SKU'}
  - name: 'Default QTY'
    translations:
      - {code: en, label: 'Default QTY'}
  - name: 'Add variant'
    translations:
      - {code: en, label: 'Add variant'}
  - name: 'Variants have been created successfully'
    translations:
      - {code: en, label: 'Variants have been created successfully'}
  - name: 'Variants have been discarded successfully'
    translations:
      - {code: en, label: 'Variants have been discarded successfully'}
  - name: 'Variants have been updated successfully'
    translations:
      - {code: en, label: 'Variants have been updated successfully'}
  - name: 'Variants have been successfully deleted'
    translations:
      - {code: en, label: 'Variants have been successfully deleted'}
  - name: 'Please select the products first'
    translations:
      - {code: en, label: 'Please select the products first'}
  - name: 'Please, add product variants.'
    translations:
      - {code: en, label: 'Please, add product variants.'}
  - name: 'To set product variants you should select attributes with multiple options.'
    translations:
      - {code: en, label: 'To set product variants you should select attributes with multiple options. The product variants will be based on these attributes. For example, if you select Size and Color, you should create product variants with all the possible intersections of these two attributes.'}
  - name: 'Create variants one by one'
    translations:
      - {code: en, label: 'Create variants one by one'}
  - name: 'Create all possible variants'
    translations:
      - {code: en, label: 'Create all possible variants'}
  - name: 'Add attributes'
    translations:
      - {code: en, label: 'Add attributes'}
  - name: 'Product with selected attribute value(s) is not available or out of stock. Please select other.'
    translations:
      - {code: en, label: 'Product with selected attribute value(s) is not available or out of stock. Please select another product.'}
  - name: 'X variants have been created'
    translations:
      - {code: en, label: '{{count}} variant(s) have been created'}
  - name: 'Variant with specified attribute values already exists'
    translations:
      - {code: en, label: 'A variant with the specified attribute values already exists ({{list}}).'}
  - name: 'Variant id X is already assigned to another product variant'
    translations:
      - {code: en, label: 'Variant ID "{{value}}" is already assigned to another product variant'}
  - name: 'Default variant'
    translations:
      - {code: en, label: 'Default variant'}
  - name: 'Number of variants warning'
    translations:
      - {code: en, label: 'The number of variants that can be created based on the selected attributes exceeds {{limit}}. Too many variants may be difficult to manage and may slow down your site performance. We recommend optimizing your attribute values to decrease the number of variants.'}
  - name: 'Number of variants confirmation'
    translations:
      - {code: en, label: 'The number of variants that can be created based on the selected attributes exceeds {{limit}}. Too many variants may be difficult to manage and may slow down your site performance. Are you sure you want to create all possible variants?'}
  - name: 'Number of variants error'
    translations:
      - {code: en, label: 'The number of variants that can be created based on the selected attributes exceeds {{limit}}. Such a number of variants may impair your site operability on certain pages. Please optimize your attribute values to decrease the number of variants or create variants manually.'}
  - name: 'Number of variants warning message'
    translations:
      - {code: en, label: 'The number of created variants exceeds {{limit}}. Too many variants may be difficult to manage and may slow down your site performance. We recommend optimizing your attribute values to decrease the number of variants.'}
  - name: unlimited
    translations:
      - {code: en, label: unlimited}
  - name: 'Click the link to increase variant amount'
    translations:
      - {code: en, label: 'Click the link to increase variant amount'}
  - name: 'Variants list'
    translations:
      - {code: en, label: 'Variants list'}
  - name: 'Default variant price'
    translations:
      - {code: en, label: 'Default variant price'}
  - name: 'Price range (min - max)'
    translations:
      - {code: en, label: 'Price range ($5 - $64)'}
  - name: 'X variants are defined'
    translations:
      - {code: en, label: '{{X}} variants are defined'}
  - name: 'Clear and disable inventory tracking for variants as well'
    translations:
      - {code: en, label: 'Clear QTY and disable inventory tracking for variants as well'}
  - name: 'Product variants inventory clear help'
    translations:
      - {code: en, label: 'Inventory tracking can be enabled or disabled for each specific variant. To disable inventory tracking for a variant, ensure that the inventory tracking option for your store is turned off and clear any non-default value, if any, from the QTY field of the variant. The variant inventory will not be tracked as long as the variant OTY field remains blank. To start tracking the inventory of a variant even when the general inventory tracking option is disabled, simply specify the number of items of the variant you currently have on hand in the variant QTY field. <br><br> To disable inventory tracking for all the variants, simply enable this option; note that it will clear any existing QTY values for all the variants in your store.'}
  - name: 'Variant sku must be unique'
    translations:
      - {code: en, label: 'Variant sku must be unique'}
  - name: 'Couldn''t identify a variant based on ID X being imported'
    translations:
      - {code: en, label: 'Couldn''t identify a variant based on ID {{variantId}} being imported; however, the variant was successfully identified based on the combination of attributes.'}
  - name: 'variant ID X was replaced by ID Y generated automatically'
    translations:
      - {code: en, label: 'To ensure the integrity of variant data, during the import process, variant ID {{oldVariantId}} was replaced by ID {{newVariantId}} generated automatically. If you expect to use the current import file in future, it is recommended that the variant ID specified in it be replaced with the new ID ({{newVariantId}}).'}
  - name: 'Field type for the attribute "{{value}}" is TEXT AREA; this type cannot be used to configure multiple attribute values.'
    translations:
      - {code: en, label: 'Field type for the attribute "{{value}}" is TEXT AREA; this type cannot be used to configure multiple attribute values.'}
  - name: 'Items with selected options in your cart: X'
    translations:
      - {code: en, label: 'Items with selected options in <a href="/?target=cart">your cart</a>: {{count}}'}
  - name: 'Product variant #{{value}} not found'
    translations:
      - {code: en, label: 'Product variant #{{value}} not found'}
      - {code: ru, label: 'Вариант товара {{value}} не найден'}
  - name: 'No product variants available. Please create at least one.'
    translations:
      - {code: en, label: 'No product variants available. Please create at least one.'}
      - {code: ru, label: 'Нет ни одного варианта товара. Создайте хотя бы один вариант.'}
  - name: 'Product variant id'
    translations:
      - {code: en, label: 'Product variant id'}
      - {code: ru, label: 'ID варианта товара'}
  - name: 'Enter product variant id'
    translations:
      - {code: en, label: 'Enter product variant id'}
      - {code: ru, label: 'Введите ID варианта товара'}
  - name: id
    translations:
      - {code: en, label: id}
XLite\Model\Notification:
  - templatesDirectory: modules/XC/ProductVariants/low_variant_limit_warning
    position: 400
    availableForAdmin: true
    availableForCustomer: false
    enabledForAdmin: true
    enabledForCustomer: false
    adminHeaderEnabled: true
    adminGreetingEnabled: false
    adminSignatureEnabled: true
    customerHeaderEnabled: true
    customerGreetingEnabled: true
    customerSignatureEnabled: true
    module: XC\ProductVariants
    editable: true
    translations:
      - {code: en, name: 'Variant low limit warning', description: 'This message is used to notify the administrator when the stock level of a product variant reaches the low stock limit as specified in the product details.', adminSubject: 'You are running out of %product_name%', adminText: '<h3 dir="ltr">Heads up!</h3><p dir="ltr">Variety is the spice of life and one of your spices is dangerously low. That&rsquo;s right, some variants of a product are about to run out of stock. Consider replenishing ASAP so you keep selling and bringing the flavor (and color and style) that your customers want.</p>'}
      - {code: es, name: 'Aviso de límite bajo de variante', description: 'Este mensaje se utiliza para notificar al administrador cuando el nivel de existencias de una variante de producto alcanza el límite bajo de existencias especificado en los detalles del producto.', adminSubject: 'Te estás quedando sin %nombre_producto%', adminText: '<h3 dir="ltr">¡Atención!</h3><p dir="ltr">La variedad es la sal de la vida y una de sus especias está peligrosamente baja. Así es, algunas variantes de un producto están a punto de agotarse. Considere reponer cuanto antes para seguir vendiendo y ofreciendo el sabor (y el color y el estilo) que desean sus clientes.</p>'}
XLite\Model\Config:
  - name: price_in_list
    category: XC\ProductVariants
    type: \XC\ProductVariants\View\FormField\Select\PriceInList
    orderby: 100
    value: D
    translations:
      - {code: en, option_name: 'How to show variant prices in product lists', option_comment: 'If you choose to switch to the "Price range" option, the first time you do so be sure to run a recalculation of <a href="/admin/?target=cache_management">quick data</a>. This has to be done either before or after the switch. Without the recalculation some features may not work correctly.'}
      - {code: ru, option_name: 'Как отображать цены вариантов в списках товаров', option_comment: 'При первом переключении в режим диапазона необходимо запустить перестройку <a href="/admin/?target=cache_management">quick data</a>. Это нужно сделать либо до, либо после переключения. Без перестройки quick data некоторые функции могут работать некорректно.'}
    module: XC\ProductVariants
